Sponsored Links

Sponsored Links

PSFreedom Now Officially Supports PS3 Firmware 3.01


Sponsored Links
197w ago - Update #2: Jevinskie has now has coded the PL3 branch to now work on PSGroove devices, evilsperm has compiled PSGroove Jevin Firmware available HERE and RichDevX has released a 3.40 (Static) Debug Payload and a 3.40 + 3.41 (Static) Debug Payload so PS3 Debug users can utilize PSGroove to dump kernels, etc.

Update from KaKaRoTo, to quote: "Philhug and I have worked together recently to make PL3 compatible with 3.15, and it is now done, working and ready for you to use.

I have just pushed the latest changes to github, so just update both PSFreedom and PL3, and define FIRMWARE_3_15 in PSFreedom's config.h and recompile. You will then be able to enjoy your unrestricted PS3 on 3.15 firmwares. Enjoy!"

He also shared an IDA Script to Automate LV2 Dump today as detailed HERE.

Download: PSFreedom with PS3 Firmware 3.01/3.15 Support / PSFreedom PL3 3.01/3.15 Update / PSFreedom with PS3 Firmware 3.01/3.10/3.15 Support / PSFreedom PL3 3.01/3.10/3.15 Update

A few days ago we reported that more PSFreedom ports were on the way, and today KaKaRoTo has announced that PSFreedom now officially supports PS3 Firmware version 3.01.

Download: PSFreedom with PS3 Firmware 3.01 Support / PSFreedom PL3 3.01 Update

To quote: "I've got some great news for those of you who have not updated your PS3 firmware! I have just succeeded in adding Firmware 3.01 support into PSFreedom. I've pushed the latest code to [Register or Login to view links] and you can now download the source and compile PSFreedom for 3.01.

For now, you will need to edit config.h and change the FIRMWARE_3_41 into FIRMWARE_3_01, then recompile. However, I will soon add support for dynamically choosing the target firmware version by simply doing a : echo 3.01 > /proc/psfreedom/fw_version

I will soon add support for firmware 3.10 and 3.15, so be patient, and you will be rewarded. I would like to thank Klutsh as well as Philippe Hub who helped me achieve this port to 3.01. The new payload changes are available in the [Register or Login to view links] and any project/port that is also using PL3 should automatically gain support for the 3.01 firmware.

You will also be able to enjoy some new 'tools' in PL3 that will allow you to dump the LV2 kernel as well as the decrypted ELF files of the XMB and other configuration files it uses. The ethernet dumping is also now compatible with PS3 Slim models.

I would like to thank, again, those who have donated. For the others, you can still donate, if you appreciate the work I've done. Enjoy!"

Good news! I wonder what would happen if you dump the dev_flash for 3.01 and run it on 3.41






Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene updates and homebrew releases!

Comments 128 Comments - Go to Forum Thread »

• Please Register at PS3News.com or Login to make comments on Site News articles. Thanks!

junior2k9's Avatar
#123 - junior2k9 - 196w ago
did you update the file? I tried it earlier and i dumped for about 20 mins it was like stuck in a loop cycle or something anyways jevinskie has psgroove updated with pl3 and it uses that file payload_dump_elfs_3_41 so could you compile up a version that actually does dump the elf files from the xmb ??

evilsperm's Avatar
#122 - evilsperm - 196w ago
Requested hex: This hex is only for dumping Lv2 through wireshark so don't use this if your tying to play backups or use homebrew because it WILL NOT WORK for you!

Instructions:

Install wireshark and connect your ps3 to your pc directly via ethernet and start wireshark capturing.

use the payload on your ps3, and on your pc you'll see the packets appearing,

when the dump is done the ps3 will shut itself down (kernal panic) to a blinking red light.

See the pl3 git howto for more info on what to do with your dump.

rippchen's Avatar
#121 - rippchen - 196w ago
even if there are games that won't work for lower firmwares i still want to use my 3.15 fw for jailbreaking.

evilsperm could you compile the Hermes v3 payload with psfreedom port for firmware 3.15 once again?

thejindesan's Avatar
#120 - thejindesan - 196w ago
For those who are on 3.15 or lower. Has anyone had any success in launching some of the newer games on your firmware.. ie. CastleVania required 3.41 and Enslaved required 3.40 in my case: Castlevania on Firm 3.15

From XMB as soon as you click to run the game. it says this game required update 3.41 - do you wish to update now.. if you don't it kicks you back to dash. The games has not even tried to load at this point.

Editing SFO changing Version from 3.400 to 3.1500 Now Allows the game to boot, but after a minute you are faced with error (80010019) and it kicks you back to the dash.

This is exactly the same case with Medal of honour, except it requires 3.42 to play and is freaking out all the 3.41 users. However as far as i can see, there is no new protection that sony did to block us, they simply raised the required firmware version. since there would have been no developmental features added between 3.41 and 3.42, I suspect the somewhere in the code of the software it's doing the firmware check. So I guess we either patch the software or find a way to trick out the system using jaicrb's usb firmware loader? I have no patch/crack experience, tried searching for 3.4 in hex editor and randomly changing them to 3.1's but that likely didn't do anything more than corrupt my eboot more.. lol.

thoughts?

tylam1989's Avatar
#119 - tylam1989 - 196w ago
how am i suppose to put this on my ps3 ? the 3.15 and the jevinkes

Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links







Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News